Author nadeem.vawda
Recipients ezio.melotti, michael.foord, nadeem.vawda, pitrou, r.david.murray, vstinner
Date 2011-08-08.20:26:02
SpamBayes Score 3.53084e-06
Marked as misclassified No
Message-id <1312835163.2.0.649067577867.issue12669@psf.upfronthosting.co.za>
In-reply-to
Content
> Can't we create a dummy/temporary TTY for the curses tests using pty.openpty()?

I would have thought so, but it seems that savetty() and endwin() both fail when
running under '-j0':

    test test_curses crashed -- Traceback (most recent call last):
      File "/home/nadeem/code/cpython/python/Lib/test/test_curses.py", line 289, in test_main
        main(stdscr)
      File "/home/nadeem/code/cpython/python/Lib/test/test_curses.py", line 269, in main
        curses.savetty()
    _curses.error: savetty() returned ERR

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/nadeem/code/cpython/python/Lib/test/regrtest.py", line 1139, in runtest_inner
        indirect_test()
      File "/home/nadeem/code/cpython/python/Lib/test/test_curses.py", line 291, in test_main
        curses.endwin()
    _curses.error: endwin() returned ERR

It might be that you need to close stdout and stderr so that there's only one
TTY associated with the process, but I suspect that'll break other things.
History
Date User Action Args
2011-08-08 20:26:03nadeem.vawdasetrecipients: + nadeem.vawda, pitrou, vstinner, ezio.melotti, r.david.murray, michael.foord
2011-08-08 20:26:03nadeem.vawdasetmessageid: <1312835163.2.0.649067577867.issue12669@psf.upfronthosting.co.za>
2011-08-08 20:26:02nadeem.vawdalinkissue12669 messages
2011-08-08 20:26:02nadeem.vawdacreate